
#ifndef _EAU_H_
#define _EAU_H_

#ifdef __cplusplus
extern "C" {
#endif

static const GUID EAU_guid = 
{ 0x3979e957, 0x6079, 0x4666, { 0xa0, 0x2a, 0xed, 0x3e, 0xa2, 0xfd, 0x84, 0x53 } };

#define FILE_DEVICE_EAU         0x00000FFA



#pragma pack(push, 1)
typedef struct _VENDOR_REQUEST_DATA
{
	BYTE Request;
	WORD Value;
	WORD Index;
} VENDOR_REQUEST_DATA, *PVENDOR_REQUEST_DATA;
#pragma pack(pop)

#define IOCTL_EAU_READ      CTL_CODE(FILE_DEVICE_EAU, 1, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_EAU_WRITE     CTL_CODE(FILE_DEVICE_EAU, 2, METHOD_BUFFERED, FILE_ANY_ACCESS)

#ifdef __cplusplus
}
#endif

#endif